/* fat32.c */
static UBYTE *next_directory_record(DIR_DESCRIPTOR *dir);
static ULONG search_directory(const DEVICE *dev, UBYTE *path, UBYTE attributes, FILE_DESCRIPTOR *file_desc);
static UBYTE copy_cluster_list(ULONG start_cluster, RLE_CLUSTER_LIST *p);
static ULONG read_cluster_entry(ULONG cluster_number);
static UBYTE *alias(UBYTE *entry, UBYTE *alias_str);
static UBYTE *attrib(UBYTE *entry, UBYTE *attrib_str);
static UBYTE *build_filename(UBYTE *entry, UBYTE *name);
static BYTE _strcmp(BYTE *s, BYTE *t, BYTE case_sensitive);
static BYTE _strncmp(BYTE *s, BYTE *t, UWORD maxchars);
static UWORD char2word(UBYTE *p);
static ULONG char2long(UBYTE *p);
static BYTE strip_path(UBYTE *p);
static FAT32STATUS check_valid_MBR(MBR *mbr, FAT32ERROR *error);
static FAT32STATUS check_valid_BPB(BPB *bpb, FAT32ERROR *error);
